%define module_release          alt6.6
		
%define module_version          0.1.3
%define module_name             hostap

%define upstream_module_name	hostap

%define kversion                2.4.26
%define krelease                alt6
%define flavour                 std-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware
Url: http://hostap.epitest.fi/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch0: %module_name-firmware-alt.patch

ExclusiveOS: Linux
BuildRequires: modutils
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
%module_name is a Linux driver for wireless LAN cards based on Intersil's
Prism2/2.5 chipset.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%patch0 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make all CC=gcc MODDIR=%module_dir/misc KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
pushd driver/modules
%if "%kversion" <= "2.6.0"
    cp -a *.o $RPM_BUILD_ROOT/%module_dir
%else
    cp -a *.ko $RPM_BUILD_ROOT/%module_dir
%endif
popd

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 0.1.3-alt6.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 0.1.3-alt5.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 0.1.3-alt4.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Wed Feb 18 2004 Anton Farygin <rider@altlinux.ru> 0.1.3-alt3.6
- rebuild for 2.6.3

* Mon Feb 16 2004 Anton Farygin <rider@altlinux.ru> 0.1.3-alt2.6
- kernel 2.6 support

* Mon Feb 09 2004 Alexei Takaseev <taf@altlinux.ru> 0.1.3-alt1.6
- 0.1.3

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.1.2-alt3
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.1.2-alt2
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Mon Nov 03 2003 Alexei Takaseev <taf@altlinux.ru> 0.1.2-alt1
- 0.1.2

* Tue Oct 21 2003 Alexei Takaseev <taf@altlinux.ru> 0.1.1-alt1
- 0.1.1

* Wed Oct 15 2003 Alexei Takaseev <taf@altlinux.ru> 0.1.0-alt1
- 0.1.0

* Fri Oct 10 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.4-alt4
- add support rewriting firmwire of cards (by hostap-utils)

* Sun Oct 05 2003 Sergey Vlasov <vsu@altlinux.ru> 0.0.4-alt3.6
- imported to ALT Linux CVS
- use %%_includedir and %%kernel_src macros for directories

* Thu Oct 02 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.4-alt3
- built with 2.4.22-alt5

* Fri Sep 26 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.4-alt2
- built with 2.4.22-alt4

* Fri Sep 12 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.4-alt1
- New version

* Wed Sep 10 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt13
- built with 2.4.22-alt2

* Thu Aug 28 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt12
- built with 2.4.21rel-alt13

* Mon Aug 25 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt11
- fix PreReq fileutils replaced by coreutils
- built with 2.4.21rel-alt13

* Thu Aug 14 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt10
- built with 2.4.21rel-alt12

* Fri Aug 08 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt9
- built with 2.4.21rel-alt9

* Thu Aug 07 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt8
- built with 2.4.21rel-alt8

* Thu Jul 31 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt7
- built with 2.4.21rel-alt7

* Tue Jul 29 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt6
- cleanup spec

* Fri Jul 18 2003 Alexei Takaseev <alexei@taf.ru> 0.0.3-alt5
- rebuild for 2.4.21rel alt6

* Thu Jul 17 2003 Alexei Takaseev <alexei@taf.ru> 0.0.3-alt4
- rebuild for 2.4.21rel alt5

* Fri Jul 11 2003 Alexei Takaseev <alexei@taf.ru> 0.0.3-alt3
- first build with 2.4.21rel alt3

